Skip to main content
POST
/
v1
/
dashboards
Create dashboard
curl --request POST \
  --url https://api.cnap.tech/v1/dashboards \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Cluster Overview",
  "description": "<string>",
  "widgets": [
    {
      "snippet_id": "<string>",
      "col_span": 2,
      "display_type": "table"
    }
  ]
}
'
{
  "dashboard_id": "<string>"
}

Authorizations

Authorization
string
header
required

Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens

Body

application/json
name
string
required
Required string length: 1 - 100
Example:

"Cluster Overview"

description
string
Maximum string length: 500
widgets
object[]

Response

Dashboard created

dashboard_id
string
required